=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-all,
               python-setuptools,
               python-rdflib-jsonld,
               python-schema-salad,
               python-shellescape,
               python-html5lib,
               python-sparqlwrapper,
               help2man
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
Homepage: http://www.commonwl.org
X-Python-Version: >= 2.7

Package: cwltool
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: Common workflow language reference implementation
 This is the reference implementation of the Common Workflow Language. It is
 intended to be feature complete and provide comprehensive validation of CWL
 files as well as provide other tools related to working with CWL.
 .
 This is written and tested for Python 2.7.
 .
 The reference implementation consists of two packages. The "cwltool" package
 is the primary Python module containing the reference implementation in the
 "cwltool" module and console executable by the same name.
 .
 The "cwl-runner" package is optional and provides an additional entry point
 under the alias "cwl-runner", which is the implementation-agnostic name for the
 default CWL interpreter installed on a host.
