## cwltool 1.0.20170111193653

=== debian/changelog ===
cwltool (1.0.20170111193653-1) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * New upstream release 

  [ Andreas Tille ]
  * Add missing Build-Depends: python-keepalive
    Closes: #845982
  * d/watch: version=4
  * debhelper 10
  * Add python-typing as Build-Depends and comment patch to skip it
  * Do not try to create manpage for removed tool cwltest
    Closes: #848809
  * Remove empty template for upstream metadata
  * Add Build-Depends: python-ruamel.yaml (>=0.12.4)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Jan 2017 21:29:55 -0800
