=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cwltool
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-all,
@@ -13,8 +13,11 @@
                python-shellescape,
                python-html5lib,
                python-sparqlwrapper,
+               python-keepalive,
+               python-typing,
+               python-ruamel.yaml (>=0.12.4),
                help2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org
