=== debian/changelog ===
cwltool (1.0.20170810192106-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * d/upstream/metadata: Fix Syntax
  * Standards-Version: 4.1.0
  * This version has no restriction on python-typing version any more
    Closes: #868614

  [ Fabian Klötzl ]
  * d/upstream/metadata: Fix Bug-Submit URL (closes: #874355)

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 20 Sep 2017 12:10:17 +0200

cwltool (1.0.20170810192106-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to registry databases,
    to SciCrunch SCR_015528 in particular
  * Added build-dep on python-rdflib
  * Bumped policy to 4.0.1

  [ Sascha Steinbiss ]
  * Add missing build-dep on python-avro.

  [ Michael R. Crusoe ]
  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 11 Aug 2017 05:05:36 -0700
