=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
                dh-python,
                python,
                python-all,
+               python-avro,
                python-setuptools,
+               python-rdflib,
                python-rdflib-jsonld,
                python-schema-salad,
                python-shellescape,
@@ -17,7 +19,7 @@
                python-typing,
                python-ruamel.yaml (>=0.12.4),
                help2man
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org
