## cwltool 1.0.20171221100033

=== debian/changelog ===
cwltool (1.0.20171221100033-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Versioned Build-Depends: python-schema-salad (>= 2.6.20171201034858-2~)
  * New Build-Depends: python-ruamel.ordereddict
  * Drop unneeded ruamel.yaml version check
    Closes: #882437
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:32:19 +0100
