=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
                python-setuptools,
                python-rdflib,
                python-rdflib-jsonld,
-               python-schema-salad,
+               python-schema-salad (>= 2.6.20171201034858-2~),
                python-shellescape,
                python-html5lib,
                python-sparqlwrapper,
                python-keepalive,
                python-typing,
-               python-ruamel.yaml (>=0.12.4),
+               python-ruamel.yaml,
+               python-ruamel.ordereddict,
                help2man
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org
