=== debian/changelog ===
cwltool (1.0.20180211183944-1) unstable; urgency=medium

  * New upstream version.
  * Expose the unit tests to autopkgtest
  * Mark all *.cwl files as executable

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 11:00:57 -0800
