=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python-ruamel.yaml,
                python-ruamel.ordereddict,
                help2man
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org
