=== debian/tests/control ===
Tests: run-tests
Depends: @, python-pytest
Restrictions: allow-stderr
