=== debian/changelog ===
cwltool (1.0.20180225105849-1) unstable; urgency=medium

  * New upstream release
  * Improve package description.
  * Add python-mock dependency for AutoPkgTests.
  * Enable running the tests during the build.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 28 Feb 2018 04:48:16 -0800

cwltool (1.0.20180211183944-2) unstable; urgency=medium

  * Provide the "cwl-runner" virtual package.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Feb 2018 05:27:36 -0800
