=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 DH_VERBOSE := 1
 
 export PYBUILD_NAME=cwltool
-export PYBUILD_DISABLE=test
+export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py develop
+export PYBUILD_TEST_ARGS=-k 'not test_http_path_mapping and not test_pack' --ignore cwltool/schemas/ --pyarg cwltool
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
