=== debian/changelog ===
cwltool (1.0.20180302231433-1) unstable; urgency=medium

  * New upstream release (Closes: #891752)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 05 Mar 2018 06:44:41 -0800
