=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 DH_VERBOSE := 1
 
 export PYBUILD_NAME=cwltool
-export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py develop
-export PYBUILD_TEST_ARGS=-k 'not test_http_path_mapping and not test_pack' --ignore cwltool/schemas/ --pyarg cwltool
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
@@ -17,3 +15,12 @@
 
 override_dh_installman: debian/cwltool.1
 	dh_installman
+
+override_dh_auto_test:
+	dh_auto_install
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
+	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
+		-k 'not test_http_path_mapping and not test_pack' \
+		--ignore cwltool/schemas/ --pyarg cwltool" dh_auto_test
+
