=== debian/tests/control ===
Tests: run-tests
Depends: @, python-pytest, python-mock, python-pytest-runner, nodejs
Restrictions: allow-stderr
