=== debian/changelog ===
cwltool (1.0.20181217162649+dfsg-9ubuntu2) disco; urgency=medium

  * Add python3-mypy-extensions as package dependency and autopkg test
    dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jan 2019 10:14:10 +0100

cwltool (1.0.20181217162649+dfsg-9) unstable; urgency=medium

  * Switch to python3-mypy-extensions
  * AutoPkgTest: Skip udocker tests if running as root
  * Build profiles: nodoc support, more nocheck support

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 19 Jan 2019 04:35:36 -0800

cwltool (1.0.20181217162649+dfsg-8) unstable; urgency=medium

  * debian/tests/control: udocker test needs python2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 14:53:08 -0800

cwltool (1.0.20181217162649+dfsg-7) unstable; urgency=medium

  * debian/tests/control: singularity is also not working inside autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 08:55:07 -0800

cwltool (1.0.20181217162649+dfsg-6) unstable; urgency=medium

  * debian/tests/control: testing with Docker doesn't work; add curl

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 30 Dec 2018 22:48:06 -0800

cwltool (1.0.20181217162649+dfsg-5) unstable; urgency=medium

  * debian/tests/control: needed python3-pytest-mock, not python3-mock

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 29 Dec 2018 05:36:37 -0800

cwltool (1.0.20181217162649+dfsg-4) unstable; urgency=medium

  * Keep python3-prov dependency to minimize our changes, but keep the --
    provenance feature disabled.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Dec 2018 05:12:15 -0800

cwltool (1.0.20181217162649+dfsg-3) unstable; urgency=medium

  * Fix our patches to the tests, run them in parallel

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 11:51:11 -0800

cwltool (1.0.20181217162649+dfsg-2) unstable; urgency=medium

  * debian/tests/control: fix typo in name of py.test-3
  * Standards-Version: 4.3.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 07:36:03 -0800

cwltool (1.0.20181217162649+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * New upstream release.
  * Now shipping Python 3 version
  * Remove --provenance feature until python3-prov 1.5.2+ issue is
    resolved.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 23 Dec 2018 15:24:58 -0800
