=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-mypy-extensions, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python2
Restrictions: allow-stderr
