=== debian/changelog ===
cwltool (1.0.20190815141648+dfsg-1ubuntu2) eoan; urgency=medium

  * debian/patches/s390x-no-sys-class-power.patch: handle psutils.tests
    not being importable on s390x.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Aug 2019 12:02:53 -0700

cwltool (1.0.20190815141648+dfsg-1ubuntu1) eoan; urgency=medium

  * Add missing test dependency on python3-mock.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Aug 2019 18:52:12 -0700

cwltool (1.0.20190815141648+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * debian/patches/pathlib2: no need for this backport with Python 3.7

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 15:29:27 +0200

cwltool (1.0.20181217162649+dfsg-10) unstable; urgency=medium

  * Make explicit the dependency on python3-mypy-extenions.
    Closes: #920251, #920270

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 22 Jan 2019 16:01:42 -0800
