=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: cwltool
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-all,
                python3-setuptools,
+               python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>= 3),
+               python3-schema-salad (>=4.5),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -19,23 +21,23 @@
                python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
-	       python3-pytest-mock <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-mock <!nocheck>,
                python3-mypy-extensions,
                python3-psutil,
-	       python3-prov,
+               python3-prov,
                nodejs,
                help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
-Homepage: http://www.commonwl.org
+Homepage: https://www.commonwl.org
 
 Package: cwltool
 Architecture: all
 Depends: ${python3:Depends},
-         python3-mypy-extensions,
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-mypy-extensions
 Recommends: nodejs
 Suggests: docker.io | singularity-container
 Provides: cwl-runner
