=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.15.97
rdflib>=4.2.2,<4.3
shellescape>=3.4.1,<3.5
schema-salad>=4.5,<5
typing>=3.5.3; python_version<"3.6"
pathlib2 != 2.3.1
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
scandir
subprocess32 >= 3.5.0; os.name=="posix" and python_version<"3.5"
typing-extensions
coloredlogs
future
