=== debian/changelog ===
cwltool (1.0.20190915164430+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Sep 2019 21:17:19 +0200

cwltool (1.0.20190815141648+dfsg-2) unstable; urgency=medium

  * Fix AutoPkgTest requirements (Closes: #935579)
  * debian/patches/s390x-no-sys-class-power.patch: Fix s390x build,
    courtesy Steve Langasek <steve.langasek@ubuntu.com>, thanks!
    Closes: #935743

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 26 Aug 2019 07:16:17 +0200
