=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cwltool
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               procps,
                python3,
                python3-all,
                python3-setuptools,
